Wordcloud
Strategy: BHV13X
Downloaded: 20230812
Stoploss: -0.05
Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3653, in get_loc return self._engine.get_loc(casted_key) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "pandas/_libs/index.pyx", line 147, in pandas._libs.index.IndexEngine.get_loc File "pandas/_libs/index.pyx", line 176, in pandas._libs.index.IndexEngine.get_loc File "pandas/_libs/hashtable_class_helper.pxi", line 7080, in pandas._libs.hashtable.PyObjectHashTable.get_item File "pandas/_libs/hashtable_class_helper.pxi", line 7088, in pandas._libs.hashtable.PyObjectHashTable.get_item KeyError: 'cti' The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/main.py", line 42, in main return_code = args['func'](args) ^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/commands/optimize_commands.py", line 58, in start_backtesting backtesting.start() File "/freqtrade/freqtrade/optimize/backtesting.py", line 1374, in start min_date, max_date = self.backtest_one_strategy(strat, data, timerange) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/optimize/backtesting.py", line 1308, in backtest_one_strategy results = self.backtest( ^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/optimize/backtesting.py", line 1186, in backtest data: Dict = self._get_ohlcv_as_lists(processed) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/optimize/backtesting.py", line 375, in _get_ohlcv_as_lists df_analyzed = self.strategy.ft_advise_signals(pair_data, {'pair': pair}) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/strategy/interface.py", line 1348, in ft_advise_signals dataframe = self.advise_entry(dataframe, metadata) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/strategy/interface.py", line 1381, in advise_entry df = self.populate_entry_trend(dataframe, metadata) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/strategy/interface.py", line 225, in populate_entry_trend return self.populate_buy_trend(dataframe, metadata) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/user_data/strategies/BHV13X.py", line 77, in populate_buy_trend (dataframe['cti'] > 0.1) | ~~~~~~~~~^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/frame.py", line 3761, in __getitem__ indexer = self.columns.get_loc(key) ^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3655, in get_loc raise KeyError(key) from err KeyError: 'cti'
stoploss: -0.05
timeframe: 1m
hash(sha256): 09408b6944450cf4da8513f951b40fd66a2ad47d3dd9646cd8ea3d61a5d7c767
indicators:
sell fast_d mid lower pricedelta
fastk close cti_mean closedelta tail
fast_k open low fastd buy
buy_tag bbdelta cti cmo

Similar Strategies: (based on used indicators)

Strategy: BHV4513X, Similarity Score: 95%

last change: 2024-02-11 02:12:24